package com.liangjian.dataplatform.member.entity.vo.detailvo;

import com.liangjian.dataplatform.member.entity.vo.datanodes.DataNode;
import com.liangjian.dataplatform.member.entity.vo.datanodes.MetaCoreRoot;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 16:20
 * 根目录的详细结构
 */
public class RootDetailVo implements DetailVo<MetaCoreRoot> {
    private static final long serialVersionUID = -6374399817819163994L;

    private MetaCoreRoot metaCoreRoot;

    @Override
    public DataNode getRealNode() {
        return this.metaCoreRoot;
    }

    @Override
    public String getNodeType() {
        return metaCoreRoot.getNodeType();
    }

    @Override
    public void setRealNode(MetaCoreRoot metaCoreRoot) {
        this.metaCoreRoot = metaCoreRoot;
    }

    @Override
    public String getDataNodeType() {
        return metaCoreRoot.getDataKind();
    }

    public RootDetailVo(MetaCoreRoot metaCoreRoot) {
        this.metaCoreRoot = metaCoreRoot;
    }
}
